Bug 1804852 - Add Pipeline Resources on Pipelines Resources tab don't work
Summary: Add Pipeline Resources on Pipelines Resources tab don't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.4
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Karthik Jeeyar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On: 1792176 1807088 1807089
Blocks: 1807030
TreeView+ depends on / blocked
 
Reported: 2020-02-19 18:22 UTC by Karthik Jeeyar
Modified: 2020-07-13 17:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Validation needs to be fixed inorder to add more resources. Consequence: Resources submit button was disabled when the user removes the existing fields whereas the new changes detected section shows correctly. Fix: Validation and formik usage is modified to validate the form correctly. Result: When new changes detected section is shown, then submit button is enabled to allow the user to submit the values to the backend.
Clone Of: 1792176
Environment:
Last Closed: 2020-07-13 17:16:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4377 None closed Bug 1804852: Pipeline params & resources forms submission formik issue 2020-06-30 18:26:15 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:16:49 UTC

Comment 3 Gajanan More 2020-03-24 10:10:30 UTC
I have validated this bug on
Build: 4.5.0-0.nightly-2020-03-19-011731
Browser: Google Chrome Version 78.0.3904.108
Marking this as verified.

Comment 5 errata-xmlrpc 2020-07-13 17:16:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.